Skip to content
Справочник APIConsumerBilling

Attach_payment_method

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/consumer/v1/billing/payment-methods

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/consumer/v1/billing/payment-methods" \  -H "Content-Type: application/json" \  -d '{    "provider": "string",    "provider_token": "string"  }'
{  "brand": "string",  "created_at": "2019-08-24T14:15:22Z",  "exp_month": 0,  "exp_year": 0,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "is_default": true,  "kind": "card",  "last4": "string",  "vendor_type": "stripe"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}